h32158
s 00008/00008/00064
d D 1.2 83/03/31 12:30:34 mmm 2 1
c 
e
s 00072/00000/00000
d D 1.1 83/03/15 21:37:02 tes 1 0
c date and time created 83/03/15 21:37:02 by tes
e
u
4
U
t
T
I 1
subroutine gicnt (errind,cntnr,wxmin,wxmax,wymin,wymax,
		 vxmin,vxmax,vymin,vymax)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Inquire current normalization transformation           #
#                                                                      #
#     Input Parameters:                                                #
#                                                                      #
#     Output Parameters:                                               #
#            errind - error indicator                                  #
#            cntnr  - curret normalization transformation number       #
#            wxmin  - window limits in world coordinates               #
#            wxmax  -                                                  #
#            wymin  -                                                  #
#            wymax  -                                                  #
#            vxmin  - viewport limits in world coordinates             #
#            vxmax  -                                                  #
#            vymin  -                                                  #
#            vymax  -                                                  #
#                                                                      #
#     Errors:                                                          #
#            8  GKS not in proper state: GKS must be in one of the     #
#               states GKOP, WSOP, WSAC, or SGOP                       #
#                                                                      #
#     Routines Called:                                                 #
#            errchk - perform appropriate error checking               #
#                                                                      #
########################################################################
integer  errind, cntnr        
real wxmin, wxmax, wymin, wymax,
     vxmin, vxmax, vymin, vymax

integer i

ifdef(`ERROR_ON',`
   integer errchk, ierdum(1)
   ')

include(`gkscom')

   # In all inquiry routines, initialize errind to 0 (zero).
   errind = 0

   ifdef(`ERROR_ON',`
      rounum = GICNT
      errind = errchk(ierdum(1), ierdum)
      if (errind != 0) return
      ')

   cntnr = nrmcur       # current norm. tran. value (0 or 1 for level 0a)
   i = cntnr + 1        # Calculate index into trans. lists to get current
                        # transformation values from common 
 
D 2
   PUTREAL(wxminl(i), wxmin)   # Put back into user format reals
   PUTREAL(wxmaxl(i), wxmax)
   PUTREAL(wyminl(i), wymin)
   PUTREAL(wymaxl(i), wymax)
   PUTREAL(vxminl(i), vxmin)
   PUTREAL(vxmaxl(i), vxmax)
   PUTREAL(vyminl(i), vymin)
   PUTREAL(vymaxl(i), vymax)
E 2
I 2
   call ptreal (wxminl(i), 0, wxmin)   # Put back into user format reals
   call ptreal (wxmaxl(i), 0, wxmax)
   call ptreal (wyminl(i), 0, wymin)
   call ptreal (wymaxl(i), 0, wymax)
   call ptreal (vxminl(i), 0, vxmin)
   call ptreal (vxmaxl(i), 0, vxmax)
   call ptreal (vyminl(i), 0, vymin)
   call ptreal (vymaxl(i), 0, vymax)
E 2

   return
end
E 1
